Package com.complexible.stardog.plan.eval.service

# Class ServiceParameters

java.lang.Object
com.complexible.stardog.plan.eval.service.ServiceParameters

public class ServiceParameters extends Object
Parameters for services when the body does not represent a SPARQL query.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceParameters()`
  `ServiceParameters(com.google.common.collect.ListMultimap<IRI,com.complexible.stardog.plan.QueryTerm> theParameters)`
  `ServiceParameters(com.google.common.collect.ListMultimap<IRI,com.complexible.stardog.plan.QueryTerm> theParameters, Map<IRI,ServiceParameters> theSubParameters)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(IRI predicate, ServiceParameters subParameters)`
  `void`
  `add(IRI predicate, com.complexible.stardog.plan.QueryTerm... objects)`
  `boolean`
  `contains(IRI predicate)`
  `Optional<com.complexible.stardog.plan.QueryTerm>`
  `first(IRI param)`
  `List<com.complexible.stardog.plan.QueryTerm>`
  `get(IRI param)`
  `Set<IRI>`
  `predicates()`
  `Optional<ServiceParameters>`
  `sub(IRI param)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceParameters

    public ServiceParameters(com.google.common.collect.ListMultimap<IRI,com.complexible.stardog.plan.QueryTerm> theParameters, Map<IRI,ServiceParameters> theSubParameters)

  - ### ServiceParameters

    public ServiceParameters(com.google.common.collect.ListMultimap<IRI,com.complexible.stardog.plan.QueryTerm> theParameters)

  - ### ServiceParameters

    public ServiceParameters()

- ## Method Details

  - ### predicates

    public Set<IRI> predicates()

  - ### add

    public void add(IRI predicate, com.complexible.stardog.plan.QueryTerm... objects)

  - ### add

    public void add(IRI predicate, ServiceParameters subParameters)

  - ### contains

    public boolean contains(IRI predicate)

  - ### get

    public List<com.complexible.stardog.plan.QueryTerm> get(IRI param)

  - ### sub

    public Optional<ServiceParameters> sub(IRI param)

  - ### first

    public Optional<com.complexible.stardog.plan.QueryTerm> first(IRI param)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`